Bug 1055858 - [RFE][neutron]: Add support for vnic type request to be managed by ML2 device drivers
Summary: [RFE][neutron]: Add support for vnic type request to be managed by ML2 device...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: Upstream M3
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact: Ofer Blaut
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 05:04 UTC by RHOS Integration
Modified: 2016-04-26 17:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-28 13:13:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-21 05:04:32 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/ml2-request-vnic-type.

Description:

Support for SR-IOV PCI passthrough networking introduces the need to enhance neutron with support for requesting certain type of neutron port. 
Neutron port can be requested to be realised as virtual nic (OVS, LinuxBridge) , direct pci-passthrough or direct macvtap.
Current port binding extension will be extended with vnic_type attribute.
ML2 mechanism driver has to be able to check the vnic-type and handle vnic-types it supports. 
ML2 mechanism driver returned vif_type should be based on vnic_type, if more than one type is supported.

More details can be found at: 
https://docs.google.com/document/d/1RfxfXBNB0mD_kH9SamwqPI8ZM-jg797ky_Fze7SakRc/edit

Specification URL (additional information):

https://docs.google.com/document/d/1RfxfXBNB0mD_kH9SamwqPI8ZM-jg797ky_Fze7SakRc/edit

Comment 1 Stephen Gordon 2014-02-06 14:09:07 UTC
Updating based on BP milestone


Note You need to log in before you can comment on or make changes to this bug.